<?php
	$age = (new DateTime("now"))->diff(DateTime::createFromFormat("Y-m-d", "2004-01-15"))->y;
	$temp = str_replace("temp=", "", exec("/usr/bin/vcgencmd measure_temp"));
?>
<!DOCTYPE html>
<html lang="en">
    <head>
		<?php require "inc/head.inc" ?>
    </head>
    <body>

        <?php require "inc/nav.inc" ?>

        <div id="main-and-sidebar" dir="rtl" class="inline-block">

            <div id="main-wrapper" class="inline-block">
                <div id="main" class="inline-block">
                    <main>

                        <div class="section container">
                            <h1>Welcome</h1>

							<p>
                            	I'm <?= $age == 18 ? "an" : "a" ?> <?= $age ?> year old programmer from Denmark.<br>
								This website is self-hosted on a Raspberry Pi. Server temperature: <b><?= $temp ?></b>
							</p>

							<img class="icon" src="/assets/icons/linkedin.png" alt="LinkedIn" width="16" height="16">
                            <a href="https://www.linkedin.com/in/reimarpb/" target="_blank" title="LinkedIn">
								LinkedIn
							</a>
							<br>

							<picture class="dark">
								<source type="image/svg+xml" srcset="/assets/icons/dark-mode/github.svg">
								<img class="dark icon" src="/assets/icons/dark-mode/github.png" alt="GitHub">
							</picture>
							<picture class="light">
								<source type="image/svg+xml" srcset="/assets/icons/light-mode/github.svg">
								<img class="light icon" src="/assets/icons/light-mode/github.png" alt="GitHub">
							</picture>
                            <a href="https://github.com/ReimarPB" target="_blank" title="GitHub">
								GitHub
                            </a>
							<br>

							<center>
								<b style="letter-spacing: 0.1em;">Mercantec Webring:</b>
								<br>
								<a href="https://tpho.dk">tpho.dk</a>
								&bull;
								<a href="https://sfja.dk">sfja.dk</a>
								&bull;
								<a href="https://mtkonge.dk">mtkonge.dk</a>
								&bull;
								<a href="https://handskemager.xyz">handskemager.xyz</a>
							</center>
                        </div>

                        <div class="section container">
                            <h1>Projects</h1>
                            <hr>
                            <img src="/assets/icons/popup-timer.ico" class="pixelated icon" alt="">
                            <b>Popup Timer</b>
                            <br>
                            <span>Have a timer or stopwatch in the corner of your screen, directly from within your browser</span>
                            <br>
                            <i><a href="https://popup-timer.reim.ar" target="_blank">Open in browser</a></i>

                            <hr>

                            <img src="/assets/icons/gameoflife.ico" class="pixelated icon" alt="">
                            <b>Game of life</b>
                            <br>
                            <span>Conway's Game of Life created with the win32 API</span>
                            <br>
                            <i>
                                <a href="/assets/bin/gameoflife.exe">Download for Windows</a>
                                &bull;
                                <a href="https://github.com/ReimarPB/GameOfLife-Win32" target="_blank">View on GitHub</a>
                            </i>

                            <hr>

                            <img src="/assets/icons/reimtris.ico" class="icon" alt="">
                            <b>Reimtris</b>
                            <br>
                            <span>A Tetris clone written in Rust with epic background music</span>
                            <br>
                            <i>
                                <a href="/assets/bin/Reimtris.exe">Download for Windows</a>
                                &bull;
                                <a href="/assets/bin/Reimtris">Download for Linux</a>
                            </i>



                        </div>

                    </main>
                </div>
            </div><!--

            --><?php require "inc/sidebar.inc" ?>

        </div>

		<?php require "inc/background.inc" ?>

    </body>
</html>
